Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf
Class GraphicsAdapter

    java.lang.Object
      org.eclipse.amp.agf.GraphicsAdapter

All Implemented Interfaces:
  IGraphicsAdapter, org.eclipse.core.runtime.IAdapterFactory

Direct Known Subclasses:
  AscapeGraphicsAdapter, CityGraphicsAdapter, DemographicPrisonersDilemmaGraphicsAdapter, EpidemicGraphicsAdapter, EpidemicGraphicsAdapter, EpidemicGraphicsAdapter, HeatbugsGraphicsAdapter, MarketsGraphicsAdapter, RegionGraphicsAdapter, StupidModel1GraphicsAdapter, StupidModel2GraphicsAdapter, StupidModel3GraphicsAdapter, StupidModel5GraphicsAdapter, WikiExampleGraphicsAdapter

    public class GraphicsAdapter

extends java.lang.Object
implements IGraphicsAdapter

Author:
  mparker

Field Summary
`static org.eclipse.jface.viewers.IColorProvider[]` | `DEFAULT_COLOR_PROVIDERS`
`static org.eclipse.jface.viewers.ILabelProvider[]` | `DEFAULT_LABEL_PROVIDERS`
`static IFigureProvider[]` | `EMPTY_FIGURE_PROVIDERS`
`static java.lang.Class[]` | `GRAPHICS_ADAPTERS`

Constructor Summary
`GraphicsAdapter()`

Method Summary
`java.lang.Object` | `getAdapter(java.lang.Object adaptableObject, java.lang.Class adapterType)`
`java.lang.Class[]` | `getAdapterList()`
`org.eclipse.jface.viewers.IColorProvider[]` | `getColors(java.lang.Object object)`
`org.eclipse.jface.viewers.IColorProvider[]` | `getColorsForClass(java.lang.Class type)`
`static IGraphicsAdapter` | `getDefault()`
`IFigureProvider[]` | `getFigures(java.lang.Object object)`
`IFigureProvider[]` | `getFiguresForClass(java.lang.Class type)`
`org.eclipse.jface.viewers.ILabelProvider[]` | `getLabels(java.lang.Object object)`
`org.eclipse.jface.viewers.ILabelProvider[]` | `getLabelsForClass(java.lang.Class type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GRAPHICS_ADAPTERS

    public static java.lang.Class[] GRAPHICS_ADAPTERS

### DEFAULT_COLOR_PROVIDERS

    public static final org.eclipse.jface.viewers.IColorProvider[] DEFAULT_COLOR_PROVIDERS

### DEFAULT_LABEL_PROVIDERS

    public static final org.eclipse.jface.viewers.ILabelProvider[] DEFAULT_LABEL_PROVIDERS

### EMPTY_FIGURE_PROVIDERS

    public static final IFigureProvider[] EMPTY_FIGURE_PROVIDERS

Constructor Detail

### GraphicsAdapter

    public GraphicsAdapter()

Method Detail

### getColors

    public org.eclipse.jface.viewers.IColorProvider[] getColors(java.lang.Object object)

  Specified by:
    `getColors` in interface `IGraphicsAdapter`
  Parameters:
    `object` -
  Returns:
  See Also:
    `IGraphicsAdapter.getColors(java.lang.Object)`

### getFigures

    public IFigureProvider[] getFigures(java.lang.Object object)

  Specified by:
    `getFigures` in interface `IGraphicsAdapter`
  Parameters:
    `object` -
  Returns:
  See Also:
    `IGraphicsAdapter.getFigures(java.lang.Object)`

### getLabels

    public org.eclipse.jface.viewers.ILabelProvider[] getLabels(java.lang.Object object)

  Specified by:
    `getLabels` in interface `IGraphicsAdapter`
  Parameters:
    `object` -
  Returns:
  See Also:
    `IGraphicsAdapter.getLabels(java.lang.Object)`

### getColorsForClass

    public org.eclipse.jface.viewers.IColorProvider[] getColorsForClass(java.lang.Class type)

  Specified by:
    `getColorsForClass` in interface `IGraphicsAdapter`
  Parameters:
    `object` -
  Returns:
  See Also:
    `IGraphicsAdapter.getColorsForClass(java.lang.Class)`

### getFiguresForClass

    public IFigureProvider[] getFiguresForClass(java.lang.Class type)

  Specified by:
    `getFiguresForClass` in interface `IGraphicsAdapter`
  Parameters:
    `object` -
  Returns:
  See Also:
    `IGraphicsAdapter.getFiguresForClass(java.lang.Class)`

### getLabelsForClass

    public org.eclipse.jface.viewers.ILabelProvider[] getLabelsForClass(java.lang.Class type)

  Specified by:
    `getLabelsForClass` in interface `IGraphicsAdapter`
  Parameters:
    `object` -
  Returns:
  See Also:
    `IGraphicsAdapter.getLabelsForClass(java.lang.Class)`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Object adaptableObject,
                                       java.lang.Class adapterType)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdapterFactory`
  Parameters:
    `adaptableObject` -
    `adapterType` -
  Returns:
  See Also:
    `IAdapterFactory.getAdapter(java.lang.Object, java.lang.Class)`

### getAdapterList

    public java.lang.Class[] getAdapterList()

  Specified by:
    `getAdapterList` in interface `org.eclipse.core.runtime.IAdapterFactory`
  Returns:
  See Also:
    `IAdapterFactory.getAdapterList()`

### getDefault

    public static IGraphicsAdapter getDefault()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD